Bug 264870 - graphics/gimp-app: Use HEIF as a default option
Summary: graphics/gimp-app: Use HEIF as a default option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-24 12:50 UTC by Boris Korzun
Modified: 2022-07-01 15:05 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
drtr0jan: maintainer-feedback?


Attachments
gimp.diff (6.14 KB, patch)
2022-06-24 12:50 UTC, Boris Korzun
no flags Details | Diff
gimp.diff (6.10 KB, patch)
2022-06-30 20:21 UTC, Boris Korzun
drtr0jan: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Korzun 2022-06-24 12:50:36 UTC
Created attachment 234913 [details]
gimp.diff

Today HEIF is very popular format, but there isn't a support of it in the FreeBSD packages repository.
It's good idea to build gimp with LIBHEIF option as default.

The attached patch has LIBHEIF as a default option.
Also portfmt/portclippy applied.
Comment 1 Boris Korzun 2022-06-30 20:21:19 UTC
Created attachment 235007 [details]
gimp.diff

Renamed LIBHEIF to HEIF
Comment 2 Dima Panov freebsd_committer 2022-06-30 22:05:59 UTC
yeah, I forgot to make HEIF and JXL to default options with last update, thanks for reminder.
Comment 3 commit-hook freebsd_committer 2022-07-01 14:58:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d609b6e51b28984a5ce70b8f58d64d4641d7d906

commit d609b6e51b28984a5ce70b8f58d64d4641d7d906
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2022-07-01 12:55:39 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2022-07-01 14:58:25 +0000

    graphics/gimp-app: use HEIF and JXL options as default (+)

    HEIF and JXL formats are very popular today and tends to be a portable standard.

    PR:     264870

 graphics/gimp-app/Makefile | 118 ++++++++++++++++++++++++---------------------
 1 file changed, 62 insertions(+), 56 deletions(-)
Comment 4 Dima Panov freebsd_committer 2022-07-01 15:05:04 UTC
Committed, thanks